- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-personality.cc File Reference

`#include <config.h>`
`#include "sbuild-personality.h"`
`#include <cstring>`
`#include <cerrno>`
`#include <utility>`
`#include <boost/format.hpp>`

Include dependency graph for sbuild-personality.cc:

## Typedefs
typedef std::pair< sbuild::personality::error_code, const char * > | emap
typedef std::pair< std::string, sbuild::personality::type > | pmap
## Variables
emap | init_errors []
| This is a list of the supported error codes.
pmap | initial_personalities []
| This is a list of the supported personalities.

## Typedef Documentation

typedef std::pair<sbuild::personality::error_code,const char *> emap`[static]`

typedef std::pair<std::string,sbuild::personality::type> pmap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {

          emap(sbuild::personality::BAD, N_("Personality '%1%' is unknown")),

          emap(sbuild::personality::SET, N_("Failed to set personality '%1%'"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.

pmap initial_personalities[]`[static]`

Initial value:

        {
          pmap("undefined", 0xffffffff),

        }

This is a list of the supported personalities.

It's used to construct the real personalities map.